Bug 855293 - The db cartridge status is changed follow by scalable application status after move within district
The db cartridge status is changed follow by scalable application status afte...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 05:11 EDT by Rony Gong
Modified: 2015-05-14 22:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
move log from development.log (13.88 KB, text/plain)
2012-09-07 05:11 EDT, Rony Gong
no flags Details

  None (edit)
Description Rony Gong 2012-09-07 05:11:08 EDT
Created attachment 610669 [details]
move log from development.log

Description of problem:
Read the move log, I think now the move gear status is followed by app status.



Version-Release number of selected component (if applicable):
devenv_2128

How reproducible:
always


Steps to Reproduce:
1.Prepare mulit node env and create 1 district,
2.Create scalable app like jbosseap, and embed mysql
3.Just stop the mysql cartridge by rhc app cartridge stop -a qjbosseap -c mysql-5.1
4.Then move this mysql gear within district
  
Actual results:
after move, this mysql cartridge status changed to start


Expected results:
after move, this mysql cartridge status should keep be stop.


Additional info:
Comment 1 Rony Gong 2012-09-07 05:42:18 EDT
This error happened for all db, and happened for move accross district
Comment 2 Dan McPherson 2012-09-07 11:32:50 EDT
This is a known issue and won't be fixed till we have cartridge level state.
Comment 3 Dan McPherson 2012-10-02 09:43:14 EDT
We have made a change in direction on this.  The intention now is we only track application level state (for at least the foreseeable future).  So this means whatever you do at the application level is what we will make every cartridge when a question of state comes up.
Comment 4 Meng Bo 2012-10-09 06:29:15 EDT
Checked again on devenv_2301, according comment #3 , it will only track application level state.

Move stopped db in a started app, the db will be started after moved.
Move stopped db in a stopped app, the db will be stopped after moved.

Mark the bug as verified.

Note You need to log in before you can comment on or make changes to this bug.